Subject: [payload] Comments to draft-ietf-tetra-02

From: "Tuominen, Antti" <[email-masked]>
Date: Wed, 23 Jan 2019 16:25:38 +0000

Hi Andreas, Roni, all,

I realize I'm quite late with my comments, but I just recently found out about this effort.

The normative reference ETSI TS 100 392-3-6 is marked as historical and should not be used as a normative reference for a new standard. Further, the standard was never used in the context presented in the document (i.e. in TETRA Inter-System Interface). It has been superseded by ETSI TS 100 392-3-8 Generic Speech Format [1], which is actually used for Inter-System Interface connections. Latest revision of Generic Speech Format also specifies how the TETRA speech frames are carried over RTP. The media sub-type has been registered with IANA as "audio/TETRA_ACELP" [2]. It seems a bit superfluous to specify another slightly different format.

Further, the BDBOS-BIP20 normative reference does not have a URL. Is my assumption correct that this is not a public specification? The values for the R-bits seem to be extra information not deduced from the TETRA voice frame data.

Best regards,
Antti

[1] https://www.etsi.org/deliver/etsi_ts/100300_100399/1003920308/01.03.01_60/ts_1003920308v010301p.pdf
[2] https://www.iana.org/assignments/media-types/audio/TETRA_ACELP

The information in this e-mail is confidential. The contents may not be disclosed or used by anyone other than the addressee. Access to this e-mail by anyone else is unauthorised.
If you are not the intended recipient, please notify Airbus immediately and delete this e-mail.
Airbus cannot accept any responsibility for the accuracy or completeness of this e-mail as it has been sent over public networks. If you have any concerns over the content of this message or its Accuracy or Integrity, please contact Airbus immediately.
All outgoing e-mails from Airbus are checked using regularly updated virus scanning software but you should take whatever measures you deem to be appropriate to ensure that this message and any attachments are virus free.